<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>King Richard III</title>
    <script>
        function fetch(url) {
            let http = new XMLHttpRequest();
            http.open('GET', url, false);
            http.send();
            return http.responseText;
        }
        window.onload = function () {
            let url        = 'King-Richard-III-snippet.txt';
            let textPane   = document.getElementById('text');
            let loadButton = document.getElementById('load');
            loadButton.onclick = function (e) {
                textPane.innerHTML = fetch(url);
            }
        };
    </script>
</head>
<body>
    <h1>King Richard III</h1>
    <button type="button" id="load">Load Snippet</button>
    <pre id="text">...nothing here...</pre>
</body>
</html>

